Name:          rustup
Version:       1.28.1
Release:       1mamba
Summary:       Rust toolchain installer
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/rust-lang/rustup
Source:        https://github.com/rust-lang/rustup.git/%{version}/rustup-%{version}.tar.bz2
License:       Apache License 2.0, MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcurl-devel
BuildRequires: libgcc
BuildRequires: liblzma-devel
BuildRequires: libopenssl-devel
## AUTOBUILDREQ-END
Requires:      /usr/bin/cargo

%description
Rust toolchain installer.


%prep
%setup -q

%build
cargo build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0755 target/debug/rustup-init %{buildroot}%{_bindir}/rustup

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/rustup
%doc LICENSE-APACHE LICENSE-MIT

%changelog
* Thu Mar 06 2025 Automatic Build System <autodist@openmamba.org> 1.28.1-1mamba
- automatic version update by autodist

* Tue Mar 04 2025 Automatic Build System <autodist@openmamba.org> 1.28.0-1mamba
- automatic version update by autodist

* Tue May 07 2024 Automatic Build System <autodist@openmamba.org> 1.27.1-1mamba
- automatic version update by autodist

* Tue Mar 12 2024 Automatic Build System <autodist@openmamba.org> 1.27.0-1mamba
- automatic version update by autodist

* Wed Apr 26 2023 Automatic Build System <autodist@mambasoft.it> 1.26.0-1mamba
- automatic version update by autodist

* Mon Feb 06 2023 Automatic Build System <autodist@mambasoft.it> 1.25.2-1mamba
- automatic version update by autodist

* Wed Jul 13 2022 Automatic Build System <autodist@mambasoft.it> 1.25.1-1mamba
- automatic version update by autodist

* Tue Jul 12 2022 Automatic Build System <autodist@mambasoft.it> 1.25.0-1mamba
- automatic version update by autodist

* Wed Jun 09 2021 Automatic Build System <autodist@mambasoft.it> 1.24.3-1mamba
- automatic version update by autodist

* Mon May 17 2021 Automatic Build System <autodist@mambasoft.it> 1.24.2-1mamba
- automatic version update by autodist

* Fri Apr 30 2021 Automatic Build System <autodist@mambasoft.it> 1.24.1-1mamba
- automatic version update by autodist

* Wed Apr 28 2021 Automatic Build System <autodist@mambasoft.it> 1.24.0-1mamba
- automatic version update by autodist

* Sat Dec 19 2020 Automatic Build System <autodist@mambasoft.it> 1.23.1-1mamba
- automatic version update by autodist

* Sat Nov 28 2020 Automatic Build System <autodist@mambasoft.it> 1.23.0-1mamba
- automatic version update by autodist

* Tue Nov 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.22.1-1mamba
- package created using the webbuild interface
